<mat-card class="title-card">
  <div class="title-card-title">{{ title }}</div>
  <mat-card-actions *ngIf="actions">
    <ng-container *ngIf="toStudySetDetails">
      <button mat-button color="primary" [routerLink]="['/home/study-sets/', StudySetId]"> Return to details </button>
    </ng-container>
    <ng-container *ngIf="toStudySets">
      <button mat-button color="primary" [routerLink]="['/home/study-sets']"> Return to My Study Sets </button>
    </ng-container>
    <ng-container *ngIf="toFolders">
      <button mat-button color="primary" [routerLink]="['/home/folders']"> Return to My Folders </button>
    </ng-container>
    <button *ngIf="!toStudySets && !toStudySetDetails && !toFolders" mat-button color="primary"
      [routerLink]="['/home']">
      Back to Menu
    </button>
    <button mat-raised-button *ngIf="createStudySet" color="primary" (click)="openCreateStudySetDialog()">
      Create new study set
    </button>
    <button *ngIf="createFolder" mat-raised-button color="primary" (click)="openCreateFolderDialog()">
      Create new folder
    </button>
  </mat-card-actions>
</mat-card>
